Package org.gradle.plugins.ear

## Class EarPlugin

- java.lang.Object
- - org.gradle.plugins.ear.EarPlugin

- All Implemented Interfaces:
    `Plugin<Project>`

      public class EarPlugin
      extends Object
      implements Plugin<Project>

  A `Plugin` with tasks which assemble a web application into a EAR file.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEPLOY_CONFIGURATION_NAME` |
    `static String` | `EAR_TASK_NAME` |
    `static String` | `EARLIB_CONFIGURATION_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EarPlugin​(ObjectFactory objectFactory)` | Injects an `ObjectFactory`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `apply​(Project project)` | Apply this plugin to the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EAR_TASK_NAME

          public static final String EAR_TASK_NAME

      See Also:
        Constant Field Values

    - #### DEPLOY_CONFIGURATION_NAME

          public static final String DEPLOY_CONFIGURATION_NAME

      See Also:
        Constant Field Values

    - #### EARLIB_CONFIGURATION_NAME

          public static final String EARLIB_CONFIGURATION_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EarPlugin

          @Inject
          public EarPlugin​(ObjectFactory objectFactory)

      Injects an `ObjectFactory`
      Since:
        4.2

  - ### Method Detail

    - #### apply

          public void apply​(Project project)

      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object